LINUX.ORG.RU

Проблемы с обновлением мира (Gentoo)

 , ,


1

1

Всем привет. Проблема в следующем: не обновлял мир целый год. Сейчас пришло самое время - получаю кучу конфликтов, и как проще поступить во всем этом, пока не знаю.

Вывод Portage: https://pastebin.com/Zw6403MZ package.use: https://pastebin.com/VbyyN52B Вывод emerge --info: https://pastebin.com/196yUfmz

Желаю успехов и счастья!

anonymous ()

Cперва обнови портаж emerge -av1 sys-apps/portage. Но еще раньше сделай бекап. И лучше при таких кардинальных обновлениях emerge -av --emptytree @world, предварительно почистив содрежимое /var/lib/portage/world от лишнего

anonymous ()

не обновлял мир целый год

Если пакеты добавлены в сеты, то проще забэкапить список сетов и удалить их. А потом поставить пакеты заново (всё равно ставиться будут почти все), после обновления @system, если получится.

grem ★★★★★ ()

Выход один - обновлять кусками.

У тебя основной конфликт - пытается поставить systemd + openrc. Ты с флагами поиграйся чтобы такого не было.

Потом при первой возможности обнови portage и python. Если обновится - самый опасный этап пройден.

Потом @system. Если опять блокировки, то есть два метода: 1) явно обновляй что обновляется; правда у тебя там много чего 2) обновляй мир, смотри какие конфликты есть, и выбрасывай их с помощью --exclude ; для анализа ключ -t неплох, хотя портянку увеличивает.

Я предпочитаю первый метод.

Да, и еще я не рискую обновлять glibc без пересборки мира.

Ну, а потом аналогично @world. Да, и потом я бы еще раз запустил бы пересборку всего мира через emerge -eav - заодно и gcc обновил бы, и glibc, а перед всем --depclean запустил бы.

Но это немалый кусок работы, да.

Kroz ★★★★★ ()

как проще поступить

как обычно, разруливать попакетно, в первый раз что ли? В чем проблема-то?

Bruce_Lee ★★ ()

Это Гента люби её и обновляй не раз в год. Иначе она будет любить тебя.

anonymous ()

Старый мир до основанья мы разрушим, а затем мы наш, мы новый мир построим. Кто был никем, тот станет всем.

Вот только никто не объяснял, зачем рушить старый мир ДО того, как новый построен. Да и вообще, зачем рушить старый мир, если его можно переделать в новый?

slamd64 ★★★★★ ()

Обновляйся бинарниками, как во FreeBSD.

iZEN ★★★★★ ()
Ответ на: комментарий от slamd64

Вот только никто не объяснял, зачем рушить старый мир ДО того, как новый построен. Да и вообще, зачем рушить старый мир, если его можно переделать в новый?

Гента по другому не может, а вот guix — умеет.

ugoday ★★★★★ ()
 |/bin/bash: /usr/lib/portage/python3.4/ebuild.sh: Нет такого файла или каталога

Обнови сперва python, выбери его основным. Затем обнови portage. В принципе его можно обновить бинарником из хранилища tinderbox, если из сорцов не собирается.

Deleted ()
Последнее исправление: Deleted (всего исправлений: 1)
Ответ на: комментарий от anonymous

Ради обновления раз в год не грех и потрахаться маленько. Заодно и хлам вычищаешь. Делаю так уже несколько лет и в итоге все обновляется.

Deleted ()
Последнее исправление: Deleted (всего исправлений: 1)
Ответ на: комментарий от Deleted

Ты строишь новый дом поверх старого, не снося его перед этим?

Это, кстати, широкая практика на вековых срубах, домик обносится стенами из декоративного и не очень кирпича.

vvn_black ★★★★★ ()
Ответ на: комментарий от Deleted

Неа, это получается деревянный сруб, а снаружи либо сайдинг (но так уже не делают), либо добротная киричная коробка (или из пено блоков), а сверху крыша модная. Т.е. так сразу и не поймешь, что под фасадом домик построенный в первой половине 20-го века. И старый сруб бывает всё-таки разбирают, а бывает что и оставляют.

vvn_black ★★★★★ ()

А чего ты ждал? Включат ждунов а потом кто блокировки за вас разруливать будет? ЛОР? Нет не угадали.

init_6 ★★★★★ ()

Вкратце: (из вики генты по обновлению старых дистров) - включаем машину времени и снапшот за снапшотом накатываем. Это весело, но работает. Сначала лучше интервал 1 месяц, затем возможно 3.

Основные проблемы здесь, это возможное отсутствие стейджей и/или снапшотов на нужный момент времени.

Еще есть вроде варианты с обновлением бинарников.

anonymous ()
Ответ на: комментарий от anonymous

anonymous а проблема то не в этом. За прошедший год его конфиги превратились в тыкву. Перед обновлением их надо вычищать под текущее актуальное состояние. Плюс за этот год выкатили новые профили. А переход со старого на новый профиль один фиг пересборка всего и по новой.

init_6 ★★★★★ ()

Проблема в следующем: не обновлял мир целый год

Держитесь там ... Здоровья вам и хорошего настроения .

anonymous ()
Ответ на: комментарий от msdnna

после армии просто

Забей, поставь кубунту или сусю, судя по тому, что тебе нравится кде. На досуге будешь собирать свою генту в чруте, или не будешь.

anonymous ()
Ответ на: комментарий от Kroz

я не рискую обновлять glibc без пересборки мира

я уже очень давно пересборку мира не делал. за это время несколько раз обновил glibc и gcc. брат жив

eternal_sorrow ★★★★★ ()
Последнее исправление: eternal_sorrow (всего исправлений: 1)
Ответ на: комментарий от eternal_sorrow

там ж переход на использование PIE по умолчанию был и рекомендовали таки пересобрать.

Switching the profile from 13.0 to 17.0 modifies the settings of GCC 6 to generate PIE executables by default; thus, you need to do the rebuilds even if you have already used GCC 6 beforehand.
If you do not follow these steps you may get spurious build failures when the linker tries unsuccessfully to combine non-PIE and PIE code.

grem ★★★★★ ()
Ответ на: комментарий от eternal_sorrow

я уже очень давно пересборку мира не делал. за это время несколько раз обновил glibc и gcc. брат жив

Как определяешь что брат жив? Делаешь 100% регресионное тестирование всего софта?

Прочитай вот это, только вдумчиво: https://wiki.gentoo.org/wiki/Upgrading_GCC#Rebuilding_everything

Ребилд всего не требуется, но желателен.

Kroz ★★★★★ ()
Ответ на: комментарий от Kroz

Ребилд всего не требуется, но желателен.

Всмысле не требуется? Все равно новый glibc или gcc заставит весь мир пересобрать.

anonymous ()

Шо вы пугаете его? Это фигня, пару зависших пакетов с -C обновит и всё починится на раз. Не факт что такие проблемы будут даже, это всего 1 год. Сто раз такое обновляли. Только не обновляй @system отдельно, после emerge -1 portage обновляй @world, иначе всё сломается.

anonymous ()
Ответ на: комментарий от anonymous

Что значит заставит? Там вообще-то совместимость с меньшими версиями. Вот даунгрейдить не получится.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.